# Created by pyp2rpm-3.3.5
%global pypi_name portalocker

Name:           python-%{pypi_name}
Version:        2.5.1
Release:        %mkrel 1
Summary:        Wraps the portalocker recipe for easy usage
Group:          Development/Python
License:        PSF
URL:            https://github.com/WoLpH/portalocker
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
 portalocker - Cross-platform locking library :target:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 portalocker - Cross-platform locking library :target:


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info



%changelog
* Thu Jul 14 2022 papoteur <papoteur> 2.5.1-1.mga9
+ Revision: 1868767
- imported package python-portalocker

